"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onContourClosed = onContourClosed;
exports.onEventCaptured = onEventCaptured;
exports.startContourSDK = startContourSDK;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'contour-ai-sdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ContourAiSdk = _reactNative.NativeModules.ContourAiSdk ? _reactNative.NativeModules.ContourAiSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const eventEmitter = new _reactNative.NativeEventEmitter(_reactNative.NativeModules.ContourAiSdk);
function startContourSDK(captureSide, clientId, captureType, enableMultipleCheckCapturing, callback) {
  const count = eventEmitter.listenerCount('checkCaptured');
  if (count > 0) {
    eventEmitter.removeAllListeners('checkCaptured');
  }
  eventEmitter.addListener('checkCaptured', response => {
    callback(response);
  });
  ContourAiSdk.startContourSDK(captureSide, clientId, captureType, enableMultipleCheckCapturing);
}
function onContourClosed(callback) {
  const count = eventEmitter.listenerCount('onContourClose');
  if (count > 0) {
    eventEmitter.removeAllListeners('onContourClose');
  }
  eventEmitter.addListener('onContourClose', () => {
    callback();
  });
}
function onEventCaptured(callback) {
  const count = eventEmitter.listenerCount('onEventCaptured');
  if (count > 0) {
    eventEmitter.removeAllListeners('onEventCaptured');
  }
  eventEmitter.addListener('onEventCaptured', response => {
    callback(response);
  });
}
//# sourceMappingURL=index.js.map